Skip to main content
`Ctrl`+`K`

# KSPFETIDPSetInnerBDDC

Provides the `PCBDDC` preconditioner used to set up the `KSPFETIDP` matrix for the Lagrange multipliers

## Synopsis

    #include <petscksp.h>
    PetscErrorCode KSPFETIDPSetInnerBDDC(KSP ksp, PC pc)

Collective

## Input Parameters

- ksp - the `KSPFETIDP` Krylov solver

- pc - the `PCBDDC` preconditioner

## Note

A `PC` is automatically created for the `KSPFETIDP` and can be accessed to change options with `KSPFETIDPGetInnerBDDC()` hence this routine is rarely needed

## See Also

KSP: Linear System Solvers, `MATIS`, `PCBDDC`, `KSPFETIDPGetInnerBDDC()`, `KSPFETIDPGetInnerKSP()`

## Level

advanced

## Location

src/ksp/ksp/impls/fetidp/fetidp.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

KSPFETIDPSetInnerBDDC_FETIDP() in src/ksp/ksp/impls/fetidp/fetidp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages